# Rookeries

**Rookeries** is a developer and designer friendly web platform for building gorgeous blogs and portfolios.

- Sports a flexible layout engine, and intuitive editor.
- Supports multiple themes and user personalization.
- Powered by a modern Python server side using Flask and CouchDB.
- Uses React, Redux, Bootstrap and LESS to create a gorgeous frontend experience.
- Licensed freely under the Affero GNU Genearal Public License (AGPL) version 3.0.

## Powered By

**Rookeries** would not be possible without the hard work of hundreds of developers, designers and maintainers of the 
below technologies (and many more).  Thank you!!!

### Server Side

| Language | Webapp Framework | Database |
| :---: | :---: | :---: |
| ![Python](https://www.python.org/static/img/python-logo.png) | <img alt="Flask" src="http://flask.pocoo.org/static/logo/flask.svg" width=200 /> | <img alt="PostgreSQL" src="https://www.postgresql.org/files/community/propaganda/95x51_4.gif" /> |
| [Python](https://www.python.org/) | [Flask](http://flask.pocoo.org/) | [PostgreSQL](https://www.postgresql.org/) |

### Client Side

| Language | JS Frameworks | CSS Frameworks | Code Editor |
| :---: | :---: | :---: | :---: |
| <img src="https://raw.githubusercontent.com/voodootikigod/logo.js/master/js.png" alt="JS" width=100 /> | <img alt="React" src="https://facebook.github.io/react/img/logo.svg" width=100 /> <img alt="Redux" src="https://camo.githubusercontent.com/f28b5bc7822f1b7bb28a96d8d09e7d79169248fc/687474703a2f2f692e696d6775722e636f6d2f4a65567164514d2e706e67" width=200 /> | ![Less](http://lesscss.org/public/img/logo.png) <img alt="Bootstrap" src="http://getbootstrap.com/assets/brand/bootstrap-solid.svg" width=100 />| ![CodeMirror](http://codemirror.net/doc/logo.png) |
| [ES6](http://www.ecma-international.org/publications/standards/Ecma-262.htm) | [React](https://facebook.github.io/react/) + [Redux](http://redux.js.org/) | [Less](http://lesscss.org/) + [Bootstrap](http://getbootstrap.com/) | [CodeMirror](http://codemirror.net/)
