/*
Rookeries client app - Route setup

@copyright (c) Copyright 2013-2016 Dorian Pula
@license AGPL v3
@author Dorian Pula [dorian.pula@amber-penguin-software.ca]
*/


import React from 'react';
import {Route, IndexRoute} from 'react-router';

import {ConnectedArticle} from '../views/journal_markdown_viewer';
import {WiredApp} from '../containers/app';

const Routes = (
    <Route path="/" component={ WiredApp }>
        <IndexRoute component={ ConnectedArticle }/>
        <Route path="/:pageId" component={ ConnectedArticle }/>
    </Route>
);

export { Routes };
