Feature: User Authentication
  The user endpoint allows user to authenticate against the system


Scenario: Valid user can authenticate against site with valid credentials
  Given I am a valid user with valid credentials
  And I post my credentials against the auth endpoint
  Then I get a valid JWT


Scenario: Valid user cannot authenticate against site with invalid credentials
  Given I am a valid user with invalid credentials
  And I post my credentials against the auth endpoint
  Then I get an unauthorized response


Scenario: Invalid user cannot authenticate against site with credentials
  Given I am a invalid user with some credentials
  And I post my credentials against the auth endpoint
  Then I get an unauthorized response
